package main

import (
	log "github.com/sirupsen/logrus"
)

func getPart(pixelmatrix [][][4]uint32, partCount, partTotal, partBegin int) ([][][4]uint32, int, int) {
	xLength := len(pixelmatrix)
	if xLength < partTotal {
		log.Fatal("more parts then rows not possible")
		return nil, 0, 0
	}
	partStep := (xLength / partTotal)
	start := partBegin * partStep

	// last part should return last rows
	if partBegin + partCount == partTotal {
		return pixelmatrix[start: ], start, 0
	}
	return pixelmatrix[ start : (partBegin + partCount) * partStep], start, 0
}
